Page MenuHomePhabricator

Make a new release of wikimedia/wrappedstring to include doc changes
Closed, ResolvedPublic

Description

Would be nice to get a new release of wikimedia/wrappedstring to get in the changes of @param documentation from https://gerrit.wikimedia.org/r/#/c/WrappedString/+/536745/

With the new release two @phan-suppress could be removed from the mediawiki/core code base (in class ResourceLoaderClientHtml and BaseTemplate)

Event Timeline

Restricted Application added a project: Performance-Team. · View Herald TranscriptFeb 28 2020, 9:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy added a subscriber: Reedy.Feb 28 2020, 9:34 PM

https://github.com/wikimedia/WrappedString/compare/v3.0.1...master

Biggest (functional) change looks to be the dropping of PHP 5 support

Krinkle assigned this task to aaron.Mar 2 2020, 9:06 PM
Krinkle added subscribers: aaron, Krinkle.

To be done between @aaron and myself.

Krinkle moved this task from Inbox to Doing on the Performance-Team board.Mar 2 2020, 9:06 PM
Krinkle claimed this task.Apr 14 2020, 3:20 PM
Krinkle triaged this task as Medium priority.

Change 588719 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/vendor@master] Update wikimedia/wrappedstring to v3.2.0

https://gerrit.wikimedia.org/r/588719

Change 588720 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] Update wikimedia/wrappedstring to v3.2.0

https://gerrit.wikimedia.org/r/588720

Release
gits/WrappedString/
 $ git checkout master
 $ git remote update
 $ git reset --hard origin/master
 $ git status
gits/WrappedString/
 $ git lg -n10
   … (v3.0.1)

 $ git log --oneline --reverse --no-merges v3.0.1...
4321e87 build: Pin mediawiki/mediawiki-codesniffer to 19.0.0
5569509 Require either PHP7+ or HHVM
7238dfb build: Update mediawiki/mediawiki-codesniffer to 20.0.0
c62ddc1 build: Updating mediawiki/mediawiki-codesniffer to 21.0.0
3ba3cb5 build: Updating mediawiki/mediawiki-codesniffer to 22.0.0
5b741b0 build: Updating mediawiki/mediawiki-codesniffer to 23.0.0
127416e build: Updating mediawiki/mediawiki-codesniffer to 24.0.0
d5b5d10 Limit hhvm version to 3.18
116944f build: Updating mediawiki/mediawiki-codesniffer to 26.0.0
f01a5f6 Improve array type documentation
102a604 build: Updating mediawiki/mediawiki-codesniffer to 28.0.0
70aa442 build: Updating mediawiki/minus-x to 0.3.2
59dedbd build: Updating mediawiki/mediawiki-codesniffer to 29.0.0
d4964fe Drop Travis testing, no extra advantage over Wikimedia CI and runs post-merge anyway
d55700b Drop PHP 7.0/7.1 and HHVM support
dce17b6 Require PHPUnit 8 like MW core
6a3900e build: Updating composer dependencies
caf2b6e Follow-up d4964feaa3: Also drop .travis.yml reference from .gitattributes
11b01a2 (HEAD -> master, tag: v3.2.0, origin/master, origin/HEAD) build: Simplify gitattributes file, add missing @covers
gits/WrappedString/
 $ git tag -s v3.2.0
 <GPG prompt>
 $ git push --tags

To ssh://gerrit.wikimedia.org:29418/WrappedString
 * [new tag]         v3.2.0 -> v3.2.0
Change in release
  • Require PHP7.2+ (drop PHP 7.0/7.1 and HHVM support).
  • docs: Improve array type documentation.
  • build: Simplify gitattributes for packaging.
Update MediaWiki

Confirmed new release is visible at https://packagist.org/packages/wikimedia/wrappedstring.

gits/mediawiki-vendor/
 $ git checkout master
 $ git remote update
 $ git reset --hard origin/master
 $ git status

(Follow instructions in the vendor repo's README.)

Write patch for vendor repo. Write patch for core repo.

Krinkle updated the task description. (Show Details)

Change 588719 merged by jenkins-bot:
[mediawiki/vendor@master] Update wikimedia/wrappedstring to v3.2.0

https://gerrit.wikimedia.org/r/588719

Change 588720 merged by jenkins-bot:
[mediawiki/core@master] Update wikimedia/wrappedstring to v3.2.0

https://gerrit.wikimedia.org/r/588720

Krinkle closed this task as Resolved.Apr 16 2020, 11:46 PM
Krinkle removed a project: Patch-For-Review.